/*
 * Copyright (C) 2014
 *      Andrew Hayzen <ahayzen@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import Bacon2D 1.0
import Ubuntu.Components 1.1
import QtQuick 2.3

Scene {
    height: parent.height
    physics: false
    running: false
    viewport: Viewport {
    }
    width: parent.width

    property int computerScore: 0
    property int humanScore: 0
    property bool newHighScore: false

    signal finishedComplete()

    MouseArea {
        id: finishedMouseArea
        anchors {
            fill: parent
        }
        onClicked: finishedComplete()

        Rectangle {
            anchors {
                fill: parent
            }
            color: "#000"
            opacity: .2
        }

        Column {
            anchors {
                centerIn: parent
            }
            spacing: units.gu(2)

            Label {
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                fontSize: "x-large"
                text: i18n.tr("Final Score")
            }

            Label {
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                fontSize: "large"
                text: i18n.tr("You") + ": " + humanScore + " " + i18n.tr("Computer") + ": " + computerScore
            }

            Label {
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                text: i18n.tr("Tap to return to the menu")
            }

            Label {
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                text: i18n.tr("New fastest time") + ": " + settings.highScore
                visible: newHighScore
            }
        }
    }
}
